!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: FailedMessage.gs 27259 2011-11-09 22:12:54Z stever $
!
!=========================================================================

removeallmethods FailedMessage
removeallclassmethods FailedMessage

category: 'For Documentation Installation only'
classmethod: FailedMessage
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'This protocol describes the behavior of objects that represent a message 
that was sent to an object, but was not understood by that object.'.
doc documentClassWith: txt.

self description: doc.
%

category: 'accessors'
method: FailedMessage
arguments

	^arguments.
%

category: 'accessors'
method: FailedMessage
arguments: anArray

	arguments := anArray.
%

category: 'accessors'
method: FailedMessage
selector

	^selector.
%

category: 'accessors'
method: FailedMessage
selector: aSymbol

	selector := aSymbol.
%
