! ========================================================================
! Copyright (C) by VMware, Inc. 1991-2011.  All Rights Reserved
!
! $Id: interval_class.gs 27259 2011-11-09 22:12:54Z stever $
!
! Superclass Hierarchy:
!   Interval, SequenceableCollection, Collection, Object.
!
! Interval is now referenced by prim 606 (SequencableCollection| insertAll:at:)
! so it needs to be defined early, otherwise slow filein blows up.
! Should Interval really be created in bom.c?
!=========================================================================
expectvalue %String
run
^ SequenceableCollection _newKernelSubclass: 'Interval'
        instVarNames: #( 'from' 'to' 'by' )
        classVars: #()
        classInstVars: #()
        poolDictionaries: #[]
        inDictionary: Globals
        constraints: #[ #[ #from, Number ],
		        #[ #to, Number ],
			#[ #by, Number ] ]
        instancesInvariant: false
        isModifiable: false
        reservedOop: 807
%

