!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: stringpair.gs 27259 2011-11-09 22:12:54Z stever $
!
! Superclass Hierarchy:
!   StringPair, Association, Object.
!
!=========================================================================

expectvalue %String
run
Association _newKernelSubclass: 'StringPair'
  instVarNames: #()
  classVars: #()
  classInstVars: #()
  poolDictionaries: #[]
  inDictionary: Globals
  constraints: #[ #[#key, String],
                  #[#value, String]]
  instancesInvariant: false
  isModifiable: false
  reservedOop: 737
%

removeallmethods StringPair
removeallclassmethods StringPair

category: 'For Documentation Installation only'
classmethod: StringPair
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'A StringPair is an Association whose key and value are both constrained
 to be Strings.'.
doc documentClassWith: txt.

self description: doc.
%

